Skip to navigation

Retrieve payment

Retrieves the details of an existing payment.

Required permissions:

  • payment:basic:read
  • plan:basic:read
  • access_pass:basic:read
  • member:email:read
  • member:basic:read
  • member:phone:read
  • promo_code:basic:read
  • payment:dispute:read
  • payment:resolution_center_case:read

Authentication

AuthorizationBearer

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word ‘Bearer’, which will look like Bearer ***************************

Path parameters

idstringRequired
The unique identifier of the payment.

Response

A successful response
amount_after_feesdouble
How much the payment is for after fees
application_feeobject or null
The application fee charged on this payment.
auto_refundedboolean
Whether this payment was auto refunded or not
billing_addressobject or null
The address of the user who made the payment.
billing_reasonenum or null

The machine-readable reason this charge was created, such as initial subscription purchase, renewal cycle, or one-time payment.

card_brandenum or null

Card network reported by the processor (e.g., ‘visa’, ‘mastercard’, ‘amex’). Present only when the payment method type is ‘card’.

card_last4string or null
The last four digits of the card used to make this payment. Null if the payment was not made with a card.
checkout_configuration_idstring or null

The ID of the checkout session/configuration that produced this payment, if any. Use this to map payments back to the checkout configuration that created them.

companyobject or null
The company for the payment.
created_atdatetime
The datetime the payment was created.
currencyenum

The three-letter ISO currency code for this payment (e.g., ‘usd’, ‘eur’).

dispute_alerted_atdatetime or null
When an alert came in that this transaction will be disputed
disputeslist of objects or null

The disputes attached to this payment. Null if the actor in context does not have the payment:dispute:read permission.

failure_messagestring or null
If the payment failed, the reason for the failure.
financing_installments_countinteger or null

The number of financing installments for the payment. Present if the payment is a financing payment (e.g. Splitit, Klarna, etc.).

financing_transactionslist of objects

The financing transactions attached to this payment. Present if the payment is a financing payment (e.g. Splitit, Klarna, etc.).

idstring
The unique identifier for the payment.
last_payment_attemptdatetime or null
The time of the last payment attempt.
memberobject or null
The member attached to this payment.
membershipobject or null
The membership attached to this payment.
metadatamap from strings to any or null
The custom metadata stored on this payment. This will be copied over to the checkout configuration for which this payment was made
next_payment_attemptdatetime or null
The time of the next schedule payment retry.
paid_atdatetime or null
The time at which this payment was successfully collected. Null if the payment has not yet succeeded. As a Unix timestamp.
payment_methodobject or null
The tokenized payment method reference used for this payment. Null if no token was used.
payment_method_typeenum or null

The type of payment instrument used for this payment (e.g., card, Cash App, iDEAL, Klarna, crypto). Null when the processor does not supply a type.

payments_failedinteger or null
The number of failed payment attempts for the payment.
planobject or null
The plan attached to this payment.
productobject or null
The product this payment was made for
promo_codeobject or null
The promo code used for this payment.
refundableboolean

True only for payments that are paid, have not been fully refunded, and were processed by a payment processor that allows refunds.

refunded_amountdouble or null

The payment refund amount(if applicable).

refunded_atdatetime or null

When the payment was refunded (if applicable).

resolutionslist of objects or null

The resolution center cases opened by the customer on this payment. Null if the actor in context does not have the payment:resolution_center_case:read permission.

retryableboolean

True when the payment status is open and its membership is in one of the retry-eligible states (active, trialing, completed, or past_due); otherwise false. Used to decide if Whop can attempt the charge again.

settlement_amountdouble
The total amount charged to the customer for this payment, including taxes and after any discounts. In the currency specified by the currency field.
settlement_currencyenum

The three-letter ISO currency code for this payment (e.g., ‘usd’, ‘eur’).

settlement_exchange_ratedouble or null
Deprecated. Always returns null.
statusenum or null

The current lifecycle state of this payment (e.g., ‘draft’, ‘open’, ‘paid’, ‘void’).

substatusenum
The friendly status of the payment.
subtotaldouble or null

The subtotal to show to the creator (excluding buyer fees).

tax_amountdouble or null

The calculated amount of the sales/VAT tax (if applicable).

tax_behaviorenum or null
The type of tax inclusivity applied to the payment, for determining whether the tax is included in the final price, or paid on top.
Allowed values:
tax_refunded_amountdouble or null

The amount of tax that has been refunded (if applicable).

totaldouble or null

The total to show to the creator (excluding buyer fees).

updated_atdatetime
The datetime the payment was last updated.
usd_totaldouble or null

The total in USD to show to the creator (excluding buyer fees).

userobject or null
The user that made this payment.
voidableboolean

True when the payment is tied to a membership in past_due, the payment status is open, and the processor allows voiding payments; otherwise false.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error